openapi: 3.0.1
info:
  title: SIFT Adapter Service
  version: "1.0"
  description: Endpoint returning the status of an protein variant being deleterious or neutral.
servers:
  - url: /SIFT/v1
    description: Main endpoints for the SIFT/VEP adapter.
paths:
  /toVEP:
    get:
      description: Returns the status of a protein variant.
      summary: Protein variant status
      responses:
        "200":
          description: Serves data about protein variant status.
        default:
          description: Error payload
      parameters:
        - name: "genompos"
          in: "query"
          schema:
            type: string
          description: "The genompos of the variant. (e.g. chr7:g.140753336A>T)"
          required: true
  /info:
    get:
      description: Serves metadata about the SIFT Adapter Service.
      summary: Project metadata
      responses:
        "200":
          description: Serves metadata
        default:
          description: Error payload
